#include<stdio.h>
#include<math.h>
long long Cifre(long long a){
	if(a>=10) return Cifre(a/10)+1;
    else return 1;
}
bool v(long long x,long long y, int c1, int c2){
	int p;
	if(c1<c2){
	          x=x*pow(10,c2-c1);
	          c1+=c2-c1;
	          p=c1-1;
	      }
	else if(c2<c1) {
			y=y*pow(10,c1-c2);
			c2+=c1-c2;
			p=c2-1;
		}
	p=Cifre(x)-1;
	if((int(x/pow(10, c1-1))%10)==(int(y/pow(10, c2-1))%10))v(x, y, c1-1, c2-1);
		else if((int(x/pow(10, c1-1))%10)<(int(y/pow(10, c2-1))%10) &&(int(y/pow(10, c2-1))%10)<=x/pow(10,p))return true;
			else if((int(x/pow(10, c1-1))%10)<=int(x/pow(10,p)))return false;
                else return true;
	}
int main(){
	long long a,b,c,broj=0;
	scanf("%lld%lld%lld",&a,&b,&c);
	int a1=Cifre(a)-1,b1=Cifre(b)-1,c1=Cifre(c)-1,a2=Cifre(a),b2=Cifre(b),c2=Cifre(c);
	if(a/pow(10,a1)>b/pow(10,b1) && a/pow(10,a1>c/pow(10,c1))){
	        broj+=a;
	        if(b>=c)
		{
			broj*=pow(10,Cifre(b));
			broj+=b;
			broj*=pow(10,Cifre(c));
			broj+=c;
		}
		   else {
		    broj*=pow(10,Cifre(c));
			broj+=c;
			broj*=pow(10,Cifre(b));
			broj+=b;
		}
	}
	else if(b/pow(10,b1)>a/pow(10,a1) && b/pow(10,b1)>c/pow(10,c1)){
	        broj+=b;
	        if(a>=c){
			broj*=pow(10,Cifre(a));
			broj+=a;
			broj*=pow(10,Cifre(c));
			broj+=c;
		}
		else {
		    broj*=pow(10,Cifre(c));
			broj+=c;
			broj*=pow(10,Cifre(a));
			broj+=a;
		}
}
 else if(c/pow(10,c1)>a/pow(10,a1) && c/pow(10,c1)>b/pow(10,b1))
	    {broj+=c;
	    if(a>=b){
		    broj*=pow(10,Cifre(a));
			broj+=a;
			broj*=pow(10,Cifre(b));
			broj+=b;
	}
	     else{
	     	broj*=pow(10,Cifre(b));
			broj+=b;
			broj*=pow(10,Cifre(a));
			broj+=a;
		 }
}
if(a/pow(10,a1)==b/pow(10,b1) && a/pow(10,a1)==c/pow(10,c1)){
	if(a>=b && a>=c){
	        broj+=a;
	        if(b>=c){
			broj*=pow(10,Cifre(b));
			broj+=b;
			broj*=pow(10,Cifre(c));
			broj+=c;
		}
		else {
		    broj*=pow(10,Cifre(c));
			broj+=c;
			broj*=pow(10,Cifre(b));
			broj+=b;
		}
}
    else if(b>=a && b>=c){
     broj+=b;
	        if(a>=c){
			broj*=pow(10,Cifre(a));
			broj+=a;
			broj*=pow(10,Cifre(c));
			broj+=c;
		}
		else {
		    broj*=pow(10,Cifre(c));
			broj+=c;
			broj*=pow(10,Cifre(a));
			broj+=a;
		}
}
    else {broj+=c;
	    if(a>=b){
		    broj*=pow(10,Cifre(a));
			broj+=a;
			broj*=pow(10,Cifre(b));
			broj+=b;
	}
	     else{
	     	broj*=pow(10,Cifre(b));
			broj+=b;
			broj*=pow(10,Cifre(a));
			broj+=a;
		 }
}}
		printf("%lld ",broj);
		 return 0;   
}